#!/bin/bash

export LOGFILE='/var/log/ngcp-installer.log'
exec  > >(tee -a "${LOGFILE}"    )
exec 2> >(tee -a "${LOGFILE}" >&2)

if ${CARRIER} ; then
  export NGCP_TYPE=carrier
  export SIPWISE_REPO_TYPE=sppro
elif ${PRO} ; then
  export NGCP_TYPE=sppro
  export SIPWISE_REPO_TYPE=sppro
else
  export NGCP_TYPE=spce
  export SIPWISE_REPO_TYPE=spce
fi

export FILEPATH="/usr/share/ngcp-installer"
export CONFIGPATH="/etc/ngcp-config"
export CFG_SCHEMA_FILE="${CONFIGPATH}/cfg_schema.db"
export CONFIG_YML="${CONFIGPATH}/config.yml"
export CONSTANTS_YML="${CONFIGPATH}/constants.yml"
export NETWORK_YML="${CONFIGPATH}/network.yml"
export NGCPCFG_BASE="${CONFIGPATH}/cfg_schema.db"
export SIPWISE_EXTRA_CNF="/etc/mysql/sipwise_extra.cnf"

declare -a APT_ENV=()
declare -a APT_PARAMS=()
APT_PARAMS+=("--no-install-recommends")
APT_PARAMS+=("--yes")
APT_PARAMS+=("-o DPkg::Options::=--force-confask")
APT_PARAMS+=("-o DPkg::Options::=--force-confdef")
APT_PARAMS+=("-o DPkg::Options::=--force-confmiss")
APT_PARAMS+=("-o DPkg::Options::=--force-confnew")
export APT_ENV
export APT_PARAMS

export CDRUSER="cdrexport"
export BACKUPUSER="ngcp-backup"
export INNODB_BUFFER_POOL_FACTOR="0.5"

export DEBIAN_FRONTEND=noninteractive

#Package list for ngcp2
if ${CARRIER} ; then
  NGCP_METAPACKAGE="ngcp-ngcp-carrier"
elif ${PRO} ; then
  NGCP_METAPACKAGE="ngcp-ngcp-pro"
else
  NGCP_METAPACKAGE="ngcp-ngcp-ce"
fi
export NGCP_METAPACKAGE

export CERT_PATH="/etc/ngcp-config/ssl"
CERT_USERS="www-data prosody kamailio"
if ${PRO} || ${CARRIER} ; then
  CERT_USERS="${CERT_USERS} openldap"
fi
export CERT_USERS

# set peer replication
export DPL_MYSQL_REPLICATION=true

declare -a ETCKEEPER_IGNORE=()
ETCKEEPER_IGNORE+=("/etc/check_mk/cache")
export ETCKEEPER_IGNORE

DEBIAN_FLAVOUR=''
if [[ "$(cat /etc/debian_version)" =~ 10|buster ]]; then
  DEBIAN_FLAVOUR='buster'
fi
export DEBIAN_FLAVOUR
